[RTL][Settings]Back arrow is shown as ">" at Enter FDN view.

VERIFIED FIXED

Status

Firefox OS
Gaia::Settings
P2
normal
VERIFIED FIXED
3 years ago
3 years ago

People

(Reporter: Sue, Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)
Dependency tree / graph
Bug Flags:
in-moztrap +

Firefox Tracking Flags

(b2g-v2.2 verified, b2g-master unaffected)

Details

Attachments

(3 attachments)

(Reporter)

Description

3 years ago
Created attachment 8573123 [details]
backarrow.png

[1.Description]:
[RTL][Settings]Back arrow is in wrong direction at Enter FDN view and Enter PUK2 code view, actually it should be "<".
See attachment:backarrow.png

[2.Testing Steps]: 
Prerequisite: Set system language as Arabic and insert a SIM card.
1. Launch Settings.
2. Tap Call Settings -> SIM 1 -> Fixed Dialing Numbers.
3. Enable Fixed Dialing Numbers and observe the view of Enter SIM PIN2.
4. Input a wrong PIN2 and observe the view of Enter PUK2 code.

[3.Expected Result]: 
3&4. The back arrow in header should be shown as "<".

[4.Actual Result]: 
3&4. The back arrow is shown as ">".

[5.Reproduction build]: 
Flame 2.2 build:
Build ID               20150304002529
Gaia Revision          8b4b3e4b7e7c308764f71542437fd60625ac6b75
Gaia Date              2015-03-03 15:01:17
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/2cb52b7cda5a
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150304.042036
Firmware Date          Wed Mar  4 04:20:47 EST 2015
Bootloader             L1TC000118D0

Flame 3.0 build:
Build ID               20150304010324
Gaia Revision          3fc0ac309f5fb0c1fe82c12223b955a4efce27e6
Gaia Date              2015-03-03 21:58:43
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/c5b90c003be8
Gecko Version          39.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150304.041952
Firmware Date          Wed Mar  4 04:20:03 EST 2015
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test

[8.Note]:
On Flame 3.0, there is no back arrow, the "x" button shown at left top.
(Reporter)

Updated

3 years ago
QA Whiteboard: [rtl-impact]
status-b2g-v2.2: --- → affected
status-b2g-master: --- → unaffected
I believe this should be fixed by Bug 1132230
Depends on: 1132230
Let's retest after bug 1132230 lands but this screen is pretty deep in Settings, I wouldn't block on this if it is not resolved by that bug.
Priority: -- → P2
(Reporter)

Comment 3

3 years ago
Created attachment 8580474 [details]
back_button.png

This issue does not exist on latest build of Flame 2.2, the back button shown as "<" at header.
See attachment:back_button.png

Flame 2.2 build: unaffected
Build ID               20150319002500
Gaia Revision          9043c11f699c15bb6072422d1dad6518d1b5ddda
Gaia Date              2015-03-19 01:40:44
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/c0442d170bec
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150319.042028
Firmware Date          Thu Mar 19 04:20:38 EDT 2015
Bootloader             L1TC000118D0
(Reporter)

Updated

3 years ago
QA Whiteboard: [rtl-impact] → [rtl-impact][MGSEI-Triage+]
(Reporter)

Updated

3 years ago
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
(Reporter)

Comment 4

3 years ago
Created attachment 8584244 [details]
correct_back_button.png

This issue is verified successfully on Flame 2.2 by the fix on bug 1132230.
With the same steps in comment 0, the back arrow in header is not mirrored and shown as "<" in RTL mode.
See attachment:correct_back_button.png
Rate:0/5

Device: Flame 2.2 (pass)
Build ID               20150326002504
Gaia Revision          e59ac067a1d22b7a72cbebc892ec652723f2a557
Gaia Date              2015-03-26 00:02:53
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/04b4b9d1faae
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150326.042521
Firmware Date          Thu Mar 26 04:25:30 EDT 2015
Bootloader             L1TC000118D0
(Reporter)

Updated

3 years ago
Status: RESOLVED → VERIFIED
status-b2g-v2.2: affected → fixed
(Reporter)

Updated

3 years ago
status-b2g-v2.2: fixed → verified
Test case has been added in moztrap:
https://moztrap.mozilla.org/manage/case/15999/
Flags: in-moztrap+
You need to log in before you can comment on or make changes to this bug.